hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nemon Lou (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-7797) upgrade hive schema from 0.9.0 to 0.13.1 failed
Date Thu, 18 Dec 2014 02:02:13 GMT

    [ https://issues.apache.org/jira/browse/HIVE-7797?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14251006#comment-14251006
] 

Nemon Lou commented on HIVE-7797:
---------------------------------

review link : https://reviews.apache.org/r/29136/

> upgrade hive schema from 0.9.0 to 0.13.1 failed 
> ------------------------------------------------
>
>                 Key: HIVE-7797
>                 URL: https://issues.apache.org/jira/browse/HIVE-7797
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>    Affects Versions: 0.14.0, 0.13.1
>            Reporter: Nemon Lou
>         Attachments: HIVE-7797.1.patch
>
>
> Using hive schema tool with the following command to upgrade hive schema failed:
> schematool -dbType postgres -upgradeSchemaFrom 0.9.0
> ERROR: null value in column "SCHEMA_VERSION" violates not-null constraint
> Log shows that the upgrade sql file 014-HIVE-3764.postgres.sql failed.
> The sql in it is :
> INSERT INTO "VERSION" ("VER_ID", "SCHEMA_VERSION", "VERSION_COMMENT") VALUES (1, '',
'Initial value');
> And the result is:
> ERROR: null value in column "SCHEMA_VERSION" violates not-null constraint
> DETAIL: Failing row contains (1, null, Initial value).



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message